ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/App-Staticperl/staticperl.sh
(Generate patch)

Comparing App-Staticperl/staticperl.sh (file contents):
Revision 1.9 by root, Tue Dec 7 20:03:15 2010 UTC vs.
Revision 1.11 by root, Wed Dec 8 22:27:35 2010 UTC

61############################################################################# 61#############################################################################
62# support 62# support
63 63
64# set version in a way that Makefile.PL can extract 64# set version in a way that Makefile.PL can extract
65VERSION=VERSION; eval \ 65VERSION=VERSION; eval \
66$VERSION=0.1 66$VERSION=0.9
67 67
68BZ2=bz2 68BZ2=bz2
69BZIP2=bzip2 69BZIP2=bzip2
70 70
71fatal() { 71fatal() {
262 262
263 rcd "$PERL_PREFIX" 263 rcd "$PERL_PREFIX"
264 264
265 # create a "make install" replacement for CPAN 265 # create a "make install" replacement for CPAN
266 cat >"$PERL_PREFIX"/bin/cpan-make-install <<EOF 266 cat >"$PERL_PREFIX"/bin/cpan-make-install <<EOF
267make install UNINST=1 267make || exit
268
268if find blib/arch/auto -type f | grep -q -v .exists; then 269if find blib/arch/auto -type f | grep -q -v .exists; then
269 echo Probably an XS module, rebuilding perl 270 echo Probably an XS module, rebuilding perl
270 make perl 271 if make perl; then
271 rm -f "$PERL_PREFIX"/bin/perl 272 mv perl "$PERL_PREFIX"/bin/perl
272 make -f Makefile.aperl inst_perl
273 make -f Makefile.aperl map_clean 273 make -f Makefile.aperl map_clean
274 else
275 make -f Makefile.aperl map_clean
276 exit 1
277 fi
274fi 278fi
279
280make install UNINST=1
275EOF 281EOF
276 chmod 755 "$PERL_PREFIX"/bin/cpan-make-install 282 chmod 755 "$PERL_PREFIX"/bin/cpan-make-install
277 283
278 # trick CPAN into avoiding ~/.cpan completely 284 # trick CPAN into avoiding ~/.cpan completely
279 echo 1 >"$PERL_PREFIX/lib/CPAN/MyConfig.pm" 285 echo 1 >"$PERL_PREFIX/lib/CPAN/MyConfig.pm"
294 ' || fatal "error while initialising CPAN" 300 ' || fatal "error while initialising CPAN"
295 301
296 touch "$PERL_PREFIX/staticstamp.install" 302 touch "$PERL_PREFIX/staticstamp.install"
297 fi 303 fi
298 304
299 if ! [ -e "$PERL_PREFIX/staticstamp.postinstall"; then 305 if ! [ -e "$PERL_PREFIX/staticstamp.postinstall" ]; then
300 NOCHECK_INSTALL=+ 306 NOCHECK_INSTALL=+
301 instcpan $STATICPERL_MODULES 307 instcpan $STATICPERL_MODULES
302 [ $EXTRA_MODULES ] && instcpan $EXTRA_MODULES 308 [ $EXTRA_MODULES ] && instcpan $EXTRA_MODULES
303 309
304 postinstall || fatal "postinstall hook failed" 310 postinstall || fatal "postinstall hook failed"
424 mkperl ) 430 mkperl )
425 ( install ) 431 ( install )
426 bundle --perl "$@" 432 bundle --perl "$@"
427 exit 433 exit
428 ;; 434 ;;
435 mkapp )
436 ( install )
437 bundle --app "$@"
438 exit
439 ;;
429 help ) 440 help )
430 podusage 2 441 podusage 2
431 ;; 442 ;;
432 * ) 443 * )
433 exec 1>&2 444 exec 1>&2

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines